Name:           perl-Error
Version:        0.17029
Release:        3
Epoch:          1
Summary:        Error/exception handling in an OO-ish way
License:        (GPL+ or Artistic) and MIT
URL:            https://metacpan.org/release/Error
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/Error-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils findutils make 
BuildRequires:  perl-generators perl-interpreter perl(ExtUtils::MakeMaker)

BuildRequires:  perl(Carp) perl(Exporter) perl(overload)
BuildRequires:  perl(Scalar::Util) perl(strict) perl(vars) perl(warnings)

BuildRequires:  perl(base) perl(File::Spec) perl(IO::Handle)
BuildRequires:  perl(IPC::Open3) perl(lib) perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)

%description
The Error package provides two interfaces.
Firstly Error provides a procedural interface to exception handling.
Secondly Error is a base class for errors/exceptions that can either be thrown,
for subsequent catch, or can simply be recorded.
Errors in the class Error should not be thrown directly,
but the user should throw errors from a sub-class of Error.

%package            help
Summary:            Documents for %{name}
Buildarch:          noarch
Requires:           man

%description        help
Man pages and other related documents for %{name}.

%prep
%autosetup -n Error-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist | xargs rm -f
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc ChangeLog Changes README examples/
%license LICENSE
%{perl_vendorlib}/Error.pm
%{perl_vendorlib}/Error/

%files help
%{_mandir}/man3/Error.3*
%{_mandir}/man3/Error::Simple.3*

%changelog
* Tue Oct 25 2022 jiangchuangang <jiangchuangang@huawei.com> - 1:0.17029-3
- fix Epoch missing in changelog

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1:0.17029-2
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Thu Jan 28 2021 yuanxin <yuanxin24@huawei.com. - 1:0.17029-1
- upgrade version to 0.17029

* Thu Jul 23 2020 xinghe <xinghe1@huawei.com> - 1:0.17028-1
- Package init

* Sat Sep 14 2019 guiyao <guiyao@huawei.com> - 1:0.17026-4
- Package init
